Package org.apache.maven.scm.provider.starteam.command.edit

## Class StarteamEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand
    - - org.apache.maven.scm.provider.starteam.command.edit.StarteamEditCommand

All Implemented Interfaces:
  `Command`, `StarteamCommand`

    public class StarteamEditCommand
    extends AbstractEditCommand
    implements StarteamCommand

Author:
  Dan T. Tran

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`StarteamEditCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(StarteamScmProviderRepository repo, ScmFileSet dirOrFile)`
`protected ScmResult` `executeEditCommand​(ScmProviderRepository repo, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.edit.AbstractEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### StarteamEditCommand

    public StarteamEditCommand()

### Method Detail

#### executeEditCommand

    protected ScmResult executeEditCommand​(ScmProviderRepository repo,
                                           ScmFileSet fileSet)
                                    throws ScmException

Specified by:
  `executeEditCommand` in class `AbstractEditCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(StarteamScmProviderRepository repo,
                                                                             ScmFileSet dirOrFile)